#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_JuKunPaiHangCFGData
{
	//编号
	int mID;
	//类型
	int mType;
	//时间
	int mTime;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励
	std::vector<int> mReward;
};

class Fish_JuKunPaiHangCFG
{
public:
private:
	static std::auto_ptr<Fish_JuKunPaiHangCFG> msSingleton;
public:
	int GetCount();
	const Fish_JuKunPaiHangCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_JuKunPaiHangCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_JuKunPaiHangCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_JuKunPaiHangCFGData> mMapData;
};
